{% extends "application.html" %}
{% block content %}
<div class="container-fluid">
    <div class="row d-flex justify-content-between">
        <h1 class="h3 mb-2 text-gray-800">
            {% if is_create %}
            Create new account
            {% else %}
            Edit account
            {% endif %}

        </h1>
        <a href="{{ url_for('User.list') }}" class="btn btn-primary btn-icon-split mb-2">

            <span class="text">Back</span>
        </a>
    </div>
    {{ toastr.message() }}
    <div class="col-md-12">
        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold text-primary">
                    {% if is_create %}
                    Create new account
                    {% else %}
                    Edit account
                    {% endif %}
                </h6>
            </div>
            <div class="card-body">
                {% if is_create %}
                <form accept-charset="UTF-8" role="form" action="{{ url_for('User.save') }}" method="POST">
                    {% else %}
                    <form accept-charset="UTF-8" role="form" action="{{ url_for('User.update') }}" method="POST">
                        {% endif %}
                        <fieldset>
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>

                                        <input class="form-control" hidden name="id" type="text"
                                               value="{{ user.id if user else '' }}">

                                        <div class="form-group">
                                            <!--                                            <label for="email">Username</label>-->
                                            <!--                                            -->
                                            <!--                                            <input class="form-control" id="email" name="email" type="text"-->
                                            <!--                                                   required-->
                                            <!--                                                   value="{{ user.username if user else '' }}">-->
                                            {{ form.email.label }}
                                            {{ form.email(class="form-control", value=user.username if user else '') }}
                                        </div>
                                        <div class="form-group">
                                            <!--                                            <label id="label_ip" style="display: none;" for="ip">Ip</label>-->
                                            <!--                                            <input class="form-control" style="display: none;" id="ip"-->
                                            <!--                                                   name="ip" type="text"-->
                                            <!--                                                   value="{{ user.ip if user else '' }}">-->

                                            {{ form.ip.label }}
                                            {{ form.ip(class="form-control", value=user.ip if user else '') }}
                                        </div>
                                        <div class="form-group">
                                            <!--                                            <label for="name">Name</label>-->
                                            <!--                                            <input class="form-control" name="name" id="name" type="text" required-->
                                            <!--                                                   value="{{ user.name if user else '' }}">-->
                                            {{ form.name.label }}
                                            {{ form.name(class="form-control", value=user.name if user else '') }}
                                        </div>
                                        <div class="form-group">
                                            <label for="list_role">Role</label>
                                            <select name="role" class="form-control" id="list_role">
                                                <option value="0" {% if user and user.role==
                                                '0' %} selected {% endif %}>Admin</option>
                                                <option value="1" {% if user and user.role==
                                                '1' %} selected {% endif %}>Doctor</option>
                                                <option value="2" {% if user and user.role==
                                                '2' %} selected {% endif %}>Patient</option>
                                            </select>
                                        </div>

                                        <div class="form-group">
                                            <!--                                            <label for="password">Password</label>-->
                                            <!--                                            <input class="form-control" name="password" type="password"-->
                                            <!--                                                   id="password"-->
                                            <!--                                                   value="">-->
                                            {{ form.password.label }}
                                            {{ form.password(class="form-control", value=user.password if user else '')
                                            }}
                                        </div>
                                        <div class="form-group">
                                            <!--                                            <label for="confirm_password">Re-Password</label>-->
                                            <!--                                            <input class="form-control" name="password" type="password"-->
                                            <!--                                                   id="confirm_password"-->
                                            <!--                                                   value="">-->
                                            {{ form.confirm.label }}
                                            {{ form.confirm(class="form-control", value=user.password if user else '')
                                            }}
                                            <span id='message'></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <!--                                            <label for="address">Address</label>-->
                                            <!--                                            <input class="form-control" name="address" id="address" type="text" required-->
                                            <!--                                                   value="{{ user.address if user else '' }}">-->
                                            {{ form.address.label }}
                                            {{ form.address(class="form-control", value=user.address if user else '') }}
                                        </div>
                                        <div class="form-group">
                                            <!--                                            <label for="id_card">ID card</label>-->
                                            <!--                                            <input class="form-control" name="id_card" id="id_card" type="text" required-->
                                            <!--                                                   value="{{ user.id_card if user else '' }}">-->
                                            {{ form.id_card.label }}
                                            {{ form.id_card(class="form-control", value=user.id_card if user else '') }}
                                        </div>
                                        <div class="form-group">
                                            <!--                                            <label for="phone_number">Phone number</label>-->
                                            <!--                                            <input class="form-control" name="phone_number" id="phone_number"-->
                                            <!--                                                   type="text"-->
                                            <!--                                                   required-->
                                            <!--                                                   value="{{ user.phone_number if user else '' }}">-->
                                            {{ form.phone_number.label }}
                                            {{ form.phone_number(class="form-control", value=user.phone_number if user
                                            else '') }}
                                        </div>
                                    </div>
                                </div>
                                <div class="row d-flex justify-content-center">
                                    <div class="form-group d-flex justify-content-center">
                                        {% if is_create %}
                                        <input class="btn btn-success btn-block" type="submit" value="Create">
                                        {% endif %}
                                        {% if not is_create %}
                                        <input class="btn btn-success btn-block" type="submit" value="Update">
                                        {% endif %}
                                    </div>
                                </div>
                            </div>
                        </fieldset>
                        {% if is_create %}
                    </form>
                    {% endif %}
                    {% if not is_create %}
                </form>
                {% endif %}
            </div>
        </div>
    </div>


</div>

{% endblock %}
{% block script %}
<script>
    $('#list_role').change(function () {
        // alert($(this).val());
        if ($(this).val() != 2) {
            $('#ip').hide();
            $('#label_ip').hide();
        } else {
            $('#ip').show();
            $('#label_ip').show();
        }
    });
</script>
{% endblock %}
